package com.liangjian.dataplatform.member.entity.po.tertiary;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Author: 黄子奇
 * @Date: 2019/12/10
 */
@Entity
@Table(name = "Product")
@ApiModel("商品简略信息")
public class ProductSmall {

    @ApiModelProperty("商品Id")
    @Id
    @Column(name = "ProductCode")
    private Integer productCode;

    @ApiModelProperty("商品类型编码（处方非处方）: 0:空，1：其他，2：非处方（红OTC），3：非处方（绿OTC），4：处方药，5：管制处方药，9：非药品")
    @Column(name = "PrescriptionType")
    private Integer PrescriptionType;

    public Integer getProductCode() {
        return productCode;
    }

    public void setProductCode(Integer productCode) {
        this.productCode = productCode;
    }

    public Integer getPrescriptionType() {
        return PrescriptionType;
    }

    public void setPrescriptionType(Integer prescriptionType) {
        PrescriptionType = prescriptionType;
    }
}
